Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_position \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 404,
  "method": "private/get_position",
  "params": {
    "instrument_name": "BTC-PERPETUAL"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_position"

payload = {
"jsonrpc": "2.0",
"id": 404,
"method": "private/get_position",
"params": { "instrument_name": "BTC-PERPETUAL" }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 404,
method: 'private/get_position',
params: {instrument_name: 'BTC-PERPETUAL'}
})
};

fetch('https://test.deribit.com/api/v2/private/get_position', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 404,
  "result": {
    "average_price": 0,
    "delta": 0,
    "direction": "buy",
    "estimated_liquidation_price": 0,
    "floating_profit_loss": 0,
    "index_price": 3555.86,
    "initial_margin": 0,
    "instrument_name": "BTC-PERPETUAL",
    "interest_value": 1.7362511643080387,
    "leverage": 100,
    "kind": "future",
    "maintenance_margin": 0,
    "mark_price": 3556.62,
    "open_orders_margin": 0.000165889,
    "realized_profit_loss": 0,
    "settlement_price": 3555.44,
    "size": 0,
    "size_currency": 0,
    "total_profit_loss": 0
  }
}
{
"jsonrpc": "2.0",
"message": "<string>",
"error": 123,
"id": 123
}

Query Parameters

instrument_name
string
required

Instrument name Unique instrument identifier

Example:

"BTC-PERPETUAL"

Response

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request